Groovy 1.7.0

## org.codehaus.groovy.tools
Class Utilities

    java.lang.Object
      org.codehaus.groovy.tools.Utilities

    class Utilities
    extends Object

Various utility functions for use in the compiler.

Constructor Summary
`Utilities()`

Method Summary
`static String` | `eol()` Returns the end-of-line marker.
`static boolean` | `isJavaIdentifier(String name)` Tells if the given string is a valid Java identifier.
`static String` | `repeatString(String pattern, int repeats)` Returns a string made up of repetitions of the specified string.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### Utilities

    Utilities()

Method Detail

### eol

    public static String eol()

  Returns the end-of-line marker.

### isJavaIdentifier

    public static boolean isJavaIdentifier(String name)

  Tells if the given string is a valid Java identifier.

### repeatString

    public static String repeatString(String pattern, int repeats)

  Returns a string made up of repetitions of the specified string.

Copyright © 2003-2009 The Codehaus. All rights reserved.